Bug 200427 - [PATCH] [MAINTAINER] cad/sweethome3d: Update from version 4.4 to 4.6
Summary: [PATCH] [MAINTAINER] cad/sweethome3d: Update from version 4.4 to 4.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-05-24 11:28 UTC by Matthias Petermann
Modified: 2015-05-27 13:44 UTC (History)
1 user (show)

See Also:


Attachments
Unified diff to patch from 4.4 to 4.6 (14.15 KB, patch)
2015-05-24 11:28 UTC, Matthias Petermann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Petermann 2015-05-24 11:28:59 UTC
Created attachment 157099 [details]
Unified diff to patch from 4.4 to 4.6

Changes since last port release:

Version 4.6, February 2, 2015

    Fixed printing of textured floors under Mac OS X with Java 7 / 8.
    Fixed an issue on the 3D view displayed in a separate window on a second screen under Mac OS X with Java 7 / 8.
    Fixed a crash in the furniture import wizard on some configurations running Mac OS X with Java 7 / 8.
    Upgraded Java 3D version to 1.6.0-pre11 / JOGL 2.2.4 for the Mac OS X version run with Java 7 / 8.
    Increased max memory used by Sweet Home 3D under Windows 64 bit.
    Updated certificate used to signed programs.
    Other minor bugs fixes and enhancements.

Version 4.5, October 22, 2014

    Replaced the Loader3DS library by a new one that better interprets colors, transparency and subparts placing of 3D models at 3DS format (customization of materials set on furniture at 3DS format in previous versions of Sweet Home 3D will be lost).
    Increased to 50 the maximum count of stored points of view.
    Added a margin of error to determine whether a piece of furniture overlaps an other one, when a user wants to place it on the top of the second one.
    In the furniture list, appended an icon to the name of each piece with a defined information property, and displayed this information in a popup after a click on the icon.
    Restored the previous size of the textures choice dialog box when resized.
    Cleared search filter in the textures choice dialog box after a texture is imported.
    Forced format for sizes exported to CSV format to display decimals instead of inch fractions.
    Added an additional spacing to columns of furniture list at print time under Windows for better rendering.
    Fixed a bug that could interpret SH3D files with correct imported zipped 3D models as damaged files.
    Fixed a bug that prevented side by side alignment of superimposed pieces of furniture to work.
    Fixed wrong computation of wall corner on some horizontal walls.
    Ensured that the order in which pieces of furniture were added is kept after grouping them.
    Fixed the management of mouse cursor during drag and drop operations in the catalog.
    Delayed the disposal of the default home to avoid Java 3D fatal error in Mac OS X full screen mode.
    Updated Spanish, Japanese, Portuguese Brazilian, Russian and Polish localizations of the help.
    Other minor bugs fixes and enhancements.
Comment 1 commit-hook freebsd_committer 2015-05-27 13:44:20 UTC
A commit references this bug:

Author: amdmi3
Date: Wed May 27 13:43:22 UTC 2015
New revision: 387606
URL: https://svnweb.freebsd.org/changeset/ports/387606

Log:
  - Update to 4.6
  - While here, clearify license and add LICENSE_FILE

  Changes: http://www.sweethome3d.com/history.jsp

  PR:		200427
  Submitted by:	matthias@petermann-it.de (maintainer)

Changes:
  head/cad/sweethome3d/Makefile
  head/cad/sweethome3d/distinfo
  head/cad/sweethome3d/files/patch-build.xml
  head/cad/sweethome3d/files/patch-src__com__eteks__sweethome3d__SweetHome3DBootstrap.java
  head/cad/sweethome3d/files/patch-src_com_eteks_sweethome3d_SweetHome3DBootstrap.java
  head/cad/sweethome3d/pkg-descr